"""
Cuchulufm is a series of wrappers for bottle, mako and others and construct a simple headless cms.

Copyright (C) 2023 Antonio de la Rosa Caballero

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""

from cuchulu.libraries.db.coreforms import BaseForm
from cuchulu.libraries.mtemplates import env_theme, PTemplate

env=env_theme(__file__)

t=PTemplate(env)

class TextHTMLForm(BaseForm):
    
    def __init__(self, name, value, t_add=None):
        
        super().__init__(name, value)
        
        self.t=t_add
        
        if t_add==None:
            self.t=t
        
    def form(self):
        
        return self.t.load_template('forms/texthtmlform.phtml', form=self)
